Bug 1650334 - broctl does not start
Summary: broctl does not start
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bro
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-15 21:31 UTC by Jean-Luc Duprat
Modified: 2019-11-27 23:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:35:31 UTC


Attachments (Terms of Use)

Description Jean-Luc Duprat 2018-11-15 21:31:08 UTC
Description of problem:
As shipped in Fedora 29 the broctl package installs the required python modules in
/usr/lib/python2.7/site-packages/BroControl
However the script is meant to use python 3.7 
As a result the modules are not found and broctl fails to run

Version-Release number of selected component (if applicable):
broctl-2.5.4-4.fc29.noarch

How reproducible:
$ broctl

Actual results:
$ /usr/bin/broctl
Traceback (most recent call last):
  File "/usr/bin/broctl", line 13, in <module>
    from BroControl import BroCtl, BroControlError, CommandSyntaxError
ModuleNotFoundError: No module named 'BroControl'

Expected results:


Additional info:

Comment 1 Jean-Luc Duprat 2019-01-09 16:39:12 UTC
This is not getting much attention though the problem is easy to spot:

$ rpm -qf /usr/bin/broctl
broctl-2.5.4-4.fc29.noarch

$ head -3  /usr/bin/broctl
#!/usr/bin/python3.7
#
# The BroControl interactive shell.

$ broctl
Traceback (most recent call last):
  File "/usr/bin/broctl", line 13, in <module>
    from BroControl import BroCtl, BroControlError, CommandSyntaxError
ImportError: cannot import name 'BroCtl' from 'BroControl' (/usr/lib/python3.7/site-packages/BroControl/__init__.py)

$ rpm -ql broctl | grep BroControl | grep __init__.py$
/usr/lib/python2.7/site-packages/BroControl/__init__.py

It is a Python 3.7 program shipped with Python 2.7 site-packages.

Comment 2 Max R.D. Parmer 2019-10-22 21:59:48 UTC
This problem continues with Fedora 30:
# broctl install
Traceback (most recent call last):
  File "/usr/bin/broctl", line 13, in <module>
    from BroControl.broctl import BroCtl, BroControlError, CommandSyntaxError
ModuleNotFoundError: No module named 'BroControl'

# head -1 `which broctl`
#!/usr/bin/python3.7

# ls /usr/lib/python3.7/site-packages/ | egrep -ci '^bro'
0

# ls /usr/lib/python2.7/site-packages/ | egrep -ci '^bro'
7

# cp -Rav /usr/lib/python2.7/site-packages/broccoli* /usr/lib/python3.7/site-packages/
'/usr/lib/python2.7/site-packages/broccoli_intern.py' -> '/usr/lib/python3.7/site-packages/broccoli_intern.py'
'/usr/lib/python2.7/site-packages/broccoli_intern.pyc' -> '/usr/lib/python3.7/site-packages/broccoli_intern.pyc'
'/usr/lib/python2.7/site-packages/broccoli_intern.pyo' -> '/usr/lib/python3.7/site-packages/broccoli_intern.pyo'
'/usr/lib/python2.7/site-packages/broccoli.py' -> '/usr/lib/python3.7/site-packages/broccoli.py'
'/usr/lib/python2.7/site-packages/broccoli.pyc' -> '/usr/lib/python3.7/site-packages/broccoli.pyc'
'/usr/lib/python2.7/site-packages/broccoli.pyo' -> '/usr/lib/python3.7/site-packages/broccoli.pyo'

# cp -Ra /usr/lib/python2.7/site-packages/BroControl/ /usr/lib/python3.7/site-packages/

# broctl install
creating policy directories ...
installing site policies ...
generating cluster-layout.bro ...
generating local-networks.bro ...
generating broctl-config.bro ...
generating broctl-config.sh ...

Obviously though that workaround isn't great as it leaves unmanaged files... better to just manually build from source at that point.

Comment 3 Ben Cotton 2019-10-31 18:44:25 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-11-27 23:35:31 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.